Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1739801 - [OCS] Need help rebuilding bricks and volumes.
Summary: [OCS] Need help rebuilding bricks and volumes.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: CNS-deployment
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: John Mulligan
QA Contact: Prasanth
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-10 16:58 UTC by Andrew Robinson
Modified: 2019-12-04 06:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-11 19:55:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Robinson 2019-08-10 16:58:27 UTC
Description of problem:

After a long effort to repair LVM thinpools for this OCS installation, the installation now needs bricks and volumes rebuilt. Rebuilding the bricks and volumes needs careful attention to OCS conventions to prevent (further?) corruption of the heketi database. We request OCS engineering support for this project. 


Version-Release number of selected component (if applicable):

RHGS 3.4

glusterfs-3.12.2-25.el7rhgs.x86_64
glusterfs-api-3.12.2-25.el7rhgs.x86_64
glusterfs-client-xlators-3.12.2-25.el7rhgs.x86_64
glusterfs-cli-3.12.2-25.el7rhgs.x86_64 
glusterfs-fuse-3.12.2-25.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-25.el7rhgs.x86_64
glusterfs-libs-3.12.2-25.el7rhgs.x86_64
glusterfs-rdma-3.12.2-25.el7rhgs.x86_64
glusterfs-server-3.12.2-25.el7rhgs.x86_64

heketi-8.0.0-12.el7rhgs.x86_64

OCP 3.11


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.